Bug 9134 - There is no previous link on the second page of the search results page
Summary: There is no previous link on the second page of the search results page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Jonathan Druart
QA Contact: Katrin Fischer
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-23 13:37 UTC by Jonathan Druart
Modified: 2013-12-05 20:09 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9134: There is no previous link on the second page of the search results page (3.57 KB, patch)
2012-11-23 13:42 UTC, Jonathan Druart
Details | Diff | Splinter Review
[Signed off] Bug 9134: There is no previous link on the second page of the search results page (3.63 KB, patch)
2012-11-27 00:39 UTC, Melia Meggs
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9134: There is no previous link on the second page of the search results page (3.81 KB, patch)
2012-12-02 13:36 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2012-11-23 13:37:56 UTC
The include file includes/page-numbers.inc tests the previous_page_offset variable.
It is equal to 0 if we are on the second page and the previous link does not appears.
Comment 1 Jonathan Druart 2012-11-23 13:42:14 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2012-11-23 13:43:41 UTC
in the description:
s/ and / so /
Comment 3 Melia Meggs 2012-11-27 00:39:47 UTC Comment hidden (obsolete)
Comment 4 Melia Meggs 2012-11-27 00:40:53 UTC
After applying patch, I can now see the "previous" link on the second page of search results.  It works.
Comment 5 Katrin Fischer 2012-12-02 13:36:10 UTC
Created attachment 13822 [details] [review]
[SIGNED-OFF] Bug 9134: There is no previous link on the second page of the search results page

Signed-off-by: Melia Meggs <melia@test.bywatersolutions.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
All tests pass.
Checked paging forwards, backwards, using 'Previous', 'Next'
and page numbers works correctly in staff and OPAC.
Comment 6 Jared Camins-Esakov 2012-12-02 14:17:34 UTC
This patch has been pushed to master.
Comment 7 Chris Cormack 2012-12-03 06:50:18 UTC
Pushed to 3.10.x and 3.8.x, will be in 3.10.1 and 3.8.8
Comment 8 mathieu saby 2013-05-07 10:21:12 UTC
It is a bugfix, not an enhancement.
M. Saby
Comment 9 Chris Cormack 2013-05-07 10:22:53 UTC
Not sure that matters now, it was released 4 months ago :)